вопрос по DVP64EH00T2

Ответить
vovsenet
Сообщения: 75
Зарегистрирован: 25 дек 2012, 13:43

вопрос по DVP64EH00T2

Сообщение vovsenet »

Имеется такой ПЛК. В нём была программа. После неудачной замены батарейки программа слетела, ПЛК в ошибке. Написал программу для проверки работоспособности входов/выходов. При попытке залить программу в ПЛК, софт (WPL) ругнулся, что типа не та модель плк. Я изначально выбрал ЕН. После этого конфликта, я поменял в настройках проекта модель на ЕН2 и проект спокойно залился и работает.
К плк подключен драйвер шагового двигателя, я решил проверить работосопобность драйвера. Взял команду VSPO (API 198). При компиляции выскочила ошибка (не запомнил номер ошибки).
Решил, что команда новая, а плк старый и не совместимы. Взял PLSR (API 59). При заливке программы вылезло предупреждение. Я очень торопился, ткнул не глядя, программа залилась.
В мануале для VSPO и PLSR в списке поддерживаемых плк нет серии ЕН.
Скажите пожалуйста, ЕН очень устарел и современный софт (WPL Soft 2.45) его не поддерживает? Кто недавно сталкивался с таким плк? В каком софте писать и как ЕН или как ЕН2 его позиционировать?

Kaii-h
Сообщения: 8
Зарегистрирован: 15 фев 2021, 22:49

Re: вопрос по DVP64EH00T2

Сообщение Kaii-h »

2006 год. Конечно устарел. Еще можно увидеть такой текст как "программатор HPP или wplsoft".
Можете попробовать "WPLSoft v2.12.06 (Программа для извлечения данных из контроллеров первого поколения)" которую можно скачать с сайта дельты. Даже руководство по программированию есть и таблицами совместимости операндов. У вас EH2 кстати.
"При заливке программы вылезло предупреждение. Я очень торопился, ткнул не глядя, программа залилась" - это предупреждение, что в RUN нельзя заливать и спрашивает перевести ли в STOP.
"VSPO (API 198)" - плк не знает про такую команду. Команда из будущего это для него.

vovsenet
Сообщения: 75
Зарегистрирован: 25 дек 2012, 13:43

Re: вопрос по DVP64EH00T2

Сообщение vovsenet »

Спасибо за совет. Сейчас качаю WPL 2.12.06.
Сегодня неспеша тестировал плк... Для проверки шагового двигателя применил команду PLSY, движок заработал. Всё норм.
По предупреждениям, которые мне WPL писал...
1. Он ругается на то, что возможно адреса находятся не в корректных диапазонах. Это считаю нормальным, так как я в проекте указал модель ЕН2.
2. Когда я в настройках выбираю модель ЕН, WPL ругается на то, что слишкам старый плк и этот софт не для него.
По идее, сейчас скачаю старую версию софта, в проекте укажу модель ЕН и всё заработает.
Всем спасибо.

Ответить